-- <= == == == == == == == == == == == == =>
-- => Class Icons
-- <= == == == == == == == == == == == == =>

if (not UnitFrameTweaks) then
	UnitFrameTweaks = {}
end

function UnitFrameTweaks.UpdateClassIcons(value)
	UnitFrameTweaks.UpdatePartyClassIcons()
	UnitFrameTweaks.UpdateTargetClassIcon()
--[[
	-- Move the party member Master Looter icons slightly
	if (value == "1") then
		for i=1, 4 do
			_G["PartyMemberFrame"..i.."MasterIcon"]:ClearAllPoints()
			_G["PartyMemberFrame"..i.."MasterIcon"]:SetPoint("TOPLEFT", "PartyMemberFrame"..i, "TOPLEFT", 15, 5)
		end
	else
		for i=1, 4 do
			_G["PartyMemberFrame"..i.."MasterIcon"]:ClearAllPoints()
			_G["PartyMemberFrame"..i.."MasterIcon"]:SetPoint("TOPLEFT", "PartyMemberFrame"..i, "TOPLEFT", 32, 0)
		end
	end
]]
end

function UnitFrameTweaks.UpdatePartyClassIcons()
	local icon;
	if (UnitFrameTweaks_SavedVars["ClassIcons"] == "1") then
		local localizedClass, englishClass
		for i=1, GetNumSubgroupMembers() do
			localizedClass, englishClass = UnitClass("party"..i)
			icon = _G["PartyMemberFrame"..i.."ClassIcon"]
			if (englishClass) then
				if (not icon:IsVisible()) then
					icon:Show()
				end
				_G[icon:GetName().."Texture"]:SetTexture("Interface\\AddOns\\UnitFrameTweaks\\Skin\\ClassIcons\\"..englishClass)
			else
				if (icon:IsVisible()) then
					icon:Hide()
				end
			end
		end
	else
		for i=1, GetNumSubgroupMembers() do
			icon = _G["PartyMemberFrame"..i.."ClassIcon"]
			if (icon:IsVisible()) then
				icon:Hide()
			end
		end
	end
end

function UnitFrameTweaks.UpdateTargetClassIcon()
	if (UnitFrameTweaks_SavedVars["ClassIcons"] == "1") then
		if (UnitIsPlayer("target")) then
			local localizedClass, englishClass = UnitClass("target")
			if (not TargetFrameClassIcon:IsVisible()) then
				TargetFrameClassIcon:Show()
			end
			TargetFrameClassIconTexture:SetTexture("Interface\\AddOns\\UnitFrameTweaks\\Skin\\ClassIcons\\"..englishClass)
		else
			TargetFrameClassIcon:Hide()
		end
	else
		if (TargetFrameClassIcon:IsVisible()) then
			TargetFrameClassIcon:Hide()
		end
	end
end

function UnitFrameTweaks.ClassIcon_OnLoad(self)
	self:SetFrameLevel(self:GetFrameLevel()+2)
end


-- Events
UnitFrameTweaks.events = {}

function UnitFrameTweaks.events.GROUP_ROSTER_UPDATE()
	UnitFrameTweaks.UpdatePartyClassIcons()
end

function UnitFrameTweaks.events.PLAYER_TARGET_CHANGED()
	UnitFrameTweaks.UpdateTargetClassIcon()
end

LibStub("LibEvent"):RegisterEvents(UnitFrameTweaks.events)
