-- <= == == == == == == == == == == == == =>
-- => UnitFrame Class Portrait
-- <= == == == == == == == == == == == == =>

if (not UnitFrameTweaks) then
	UnitFrameTweaks = {}
end

local unitFrames = {
	player = PlayerFrame,
	target = TargetFrame,
	party1 = PartyMemberFrame1,
	party2 = PartyMemberFrame2,
	party3 = PartyMemberFrame3,
	party4 = PartyMemberFrame4,
}

function UnitFrameTweaks.UpdateClassPortraits(value)
	if (value == "1") then
		for unit, unitframe in pairs(unitFrames) do
			if (UnitIsPlayer(unit)) then
				local localizedClass, englishClass = UnitClass(unit);
				if (englishClass) then
					unitframe.portrait:SetTexture("Interface\\AddOns\\UnitFrameTweaks\\Skin\\PortraitIcons\\"..englishClass);
				end
			end
		end
	else
		for unit, unitframe in pairs(unitFrames) do
			SetPortraitTexture(unitframe.portrait, unit);
		end
	end
end

function UnitFrameTweaks.UnitFrame_Update_After(self)
	if (UnitFrameTweaks_SavedVars and UnitFrameTweaks_SavedVars["ClassPortraits"] == "1") then
		if (UnitIsPlayer(self.unit)) then
			local localizedClass, englishClass = UnitClass(self.unit);
			if (englishClass) then
				self.portrait:SetTexture("Interface\\AddOns\\UnitFrameTweaks\\Skin\\PortraitIcons\\"..englishClass);
			end
		end
	end
end

function UnitFrameTweaks.UnitFrame_OnEvent_After(self,event,...)
	local arg1 = ...;
	if (UnitFrameTweaks_SavedVars and UnitFrameTweaks_SavedVars["ClassPortraits"] == "1") then
		if ( (event == "UNIT_PORTRAIT_UPDATE") and (arg1 == self.unit) ) then
			if (UnitIsPlayer(self.unit)) then
				local localizedClass, englishClass = UnitClass(self.unit);
				if (englishClass) then
					self.portrait:SetTexture("Interface\\AddOns\\UnitFrameTweaks\\Skin\\PortraitIcons\\"..englishClass);
				end
			end
		end
	end
end

-- OnLoad
hooksecurefunc("UnitFrame_Update", UnitFrameTweaks.UnitFrame_Update_After)
hooksecurefunc("UnitFrame_OnEvent", UnitFrameTweaks.UnitFrame_OnEvent_After)
