-- <= == == == == == == == == == == == == =>
-- => Hits Indicator Options
-- <= == == == == == == == == == == == == =>

if (not UnitFrameTweaks) then
	UnitFrameTweaks = {}
end

function UnitFrameTweaks.InitializeHitIndicator(indicator, controlFrame, unit, fontHeight)
	--[[
	local tempthis = this;
	this = controlFrame;
	CombatFeedback_Initialize(indicator, 30);
	this = tempthis;
	]]--
	controlFrame.feedbackText = indicator;
	controlFrame.feedbackFontHeight = fontHeight;
	controlFrame.feedbackStartTime = 0;
	
	controlFrame:HookScript("OnUpdate", CombatFeedback_OnUpdate)
	local currUnit = unit
	controlFrame:HookScript("OnEvent", function(self, event, arg1, arg2, arg3, arg4, arg5)
		if ( event == "UNIT_COMBAT" and arg1 == currUnit ) then
			CombatFeedback_OnCombatEvent(self, arg2, arg3, arg4, arg5)
		end
	end)
end

function UnitFrameTweaks.UpdateHitIndicatorStatus(controlFrame, value)
	if (value == "1") then
		controlFrame:RegisterEvent("UNIT_COMBAT")
	else
		controlFrame:UnregisterEvent("UNIT_COMBAT")
	end
end

function UnitFrameTweaks.UpdatePlayerHitIndicatorStatus(value)
	UnitFrameTweaks.UpdateHitIndicatorStatus(PlayerFrame, value)
end

function UnitFrameTweaks.UpdateTargetHitIndicatorStatus(value)
	UnitFrameTweaks.UpdateHitIndicatorStatus(TargetFrame, value)
end

function UnitFrameTweaks.UpdatePartyHitIndicatorStatus(value)
	for i=1, MAX_PARTY_MEMBERS do
		local frame = _G["PartyMemberFrame"..i]
		UnitFrameTweaks.UpdateHitIndicatorStatus(frame, value)
	end
end


--OnLoad
local indicator = TargetFrameTextureFrame:CreateFontString("TargetFrameHitIndicator", "OVERLAY", "NumberFontNormalHuge");
indicator:SetPoint("CENTER", TargetFrameTextureFrame, "TOPRIGHT", -73, -42);
UnitFrameTweaks.InitializeHitIndicator(indicator, TargetFrame, "target", 30)

for i=1, MAX_PARTY_MEMBERS do
	local frame = _G["PartyMemberFrame"..i]
	local anchorFrame = _G["PartyMemberFrame"..i.."Texture"]:GetParent()
	indicator = anchorFrame:CreateFontString("PartyMemberFrame"..i.."HitIndicator", "OVERLAY", "NumberFontNormalHuge");
	indicator:SetPoint("CENTER", anchorFrame, "TOPLEFT", 28, -26);
	UnitFrameTweaks.InitializeHitIndicator(indicator, frame, "party"..i, 20)
end
