-- <= == == == == == == == == == == == == =>
-- => Option Registration
-- <= == == == == == == == == == == == == =>

if (not UnitFrameTweaks) then
	UnitFrameTweaks = {}
end

local Portfolio = LibStub and LibStub("Portfolio")
if not Portfolio then return end

local optionTable = {
	id = "UnitFrameTweaks";
	options = {
		{
			id = "HealthColor";
			text = "Health Bar Color Change";
			tooltipText = "Healthbar changes color as it decreases.";
			type = CONTROLTYPE_CHECKBOX;
			defaultValue = "1";
		};
		{
			id = "ClassPortraits";
			text = "Class Portraits";
			tooltipText = "Replace unit portraits with class icons when applicable.";
			type = CONTROLTYPE_CHECKBOX;
			defaultValue = "0";
			callback = UnitFrameTweaks.UpdateClassPortraits;
		};
		{
			id = "ClassIcons";
			text = "Class Icons";
			tooltipText = "Adds class icons to the target and party member frames.";
			type = CONTROLTYPE_CHECKBOX;
			defaultValue = "0";
			callback = UnitFrameTweaks.UpdateClassIcons;
		};
		{
			id = "HitIndicators";
			text = "Hit Indicators";
			subText = "Toggle the hit indicators on the unit frame portraits.";
			type = CONTROLTYPE_HEADER;
		};
		{
			id = "PlayerHitIndicator";
			text = "Player";
			tooltipText = "Toggles the hit indicator on the player portrait.";
			type = CONTROLTYPE_CHECKBOX;
			defaultValue = "1";
			callback = UnitFrameTweaks.UpdatePlayerHitIndicatorStatus;
			point = {nil, nil, nil, nil, 0};
		};
		{
			id = "TargetHitIndicator";
			text = "Target";
			tooltipText = "Toggles the hit indicator on the target portrait.";
			type = CONTROLTYPE_CHECKBOX;
			defaultValue = "0";
			callback = UnitFrameTweaks.UpdateTargetHitIndicatorStatus;
			point = {"TOPLEFT", "PlayerHitIndicator", "TOPRIGHT", 100, 0};
		};
		{
			id = "PartyHitIndicator";
			text = "Party";
			tooltipText = "Toggles the hit indicator on the party portraits.";
			type = CONTROLTYPE_CHECKBOX;
			defaultValue = "0";
			callback = UnitFrameTweaks.UpdatePartyHitIndicatorStatus;
			point = {"TOPLEFT", "TargetHitIndicator", "TOPRIGHT", 100, 0};
		};
	};
	savedVarTable = "UnitFrameTweaks_SavedVars";
}

Portfolio.RegisterOptionSet(optionTable)

